<template>
<v-card>
    <v-toolbar dark color="primary">
      <v-btn icon dark @click.native="close">
          <v-icon>mdi-close</v-icon>
      </v-btn>
      <v-toolbar-title>Create Profile</v-toolbar-title>
    </v-toolbar>
  <v-divider></v-divider>
  <v-container fluid>
  <v-form ref="form">
    
    <v-text-field
      v-model="umur"
      label="Usia"
      required
    ></v-text-field>

    <v-text-field
      v-model="bio"
      label="Bio"
      required
    ></v-text-field>

    <v-text-field
      v-model="alamat"
      label="Alamat"
      required
    ></v-text-field>
      <div class="text-xs-center">
        <v-btn
          color="primary lighten-1"
          @click="submit"
        >
          Create
          <v-icon right dark>mdi-rename-box</v-icon>
        </v-btn>

        </div>
  </v-form>
  </v-container>
   
  </v-card>

</template>

<script>
import {  mapGetters, mapActions } from 'vuex'

export default {
  data () {
    return{
      username: '',
      name: '',
      email: '',
      password: '',
      umur: '',
      bio: '',
      alamat: '',
      profiles: {},
      apiDomain: "http://127.0.0.1:8000",
    }
  },

  computed: {
    ...mapGetters({
      guest : 'auth/guest',
      user : 'auth/user',
      token : 'auth/token'
    }),
    },

  methods : {
    ...mapActions({
      setAlert  : 'alert/set',
      setToken : 'auth/setToken',
      setUser : 'auth/setUser',
    }),

    close() {
        this.$emit('closed', false)
    },

    submit() {
    let formData = new FormData()
        formData.append('umur', this.umur)
        formData.append('bio', this.bio)
        formData.append('alamat', this.alamat)
        formData.append('token', this.token)
    const config = { 
        method: "post", 
        url: this.apiDomain + "/api/profiles",
        
        data : formData
      };
      this.axios(config)
            .then( () => {
                      
              this.setAlert({
                    status : true,
                    color  : 'success',
                    text  : 'Your Data Profile has created',
                })
                this.close()
              
            })
            .catch( (response) => {
              console.log(response)

                this.setAlert({
                    status : true,
                    color  : 'error',
                    text  : 'Creating Data Profile Failed',
                })
            })
    },
    
  },
}
</script>